oracle.jdbc

## Enum OracleConnection.DatabaseStartupMode

- java.lang.Object
- - java.lang.Enum<OracleConnection.DatabaseStartupMode>
  - - oracle.jdbc.OracleConnection.DatabaseStartupMode

All Implemented Interfaces:
  Serializable, Comparable<OracleConnection.DatabaseStartupMode>

Enclosing interface:
  OracleConnection

    public static enum OracleConnection.DatabaseStartupMode
    extends Enum<OracleConnection.DatabaseStartupMode>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`FORCE` Attempt to shutdown the database in the abort mode before starting a new instance.
`NO_RESTRICTION` Startup the database with no restriction.
`RESTRICT` Startup the database in the restrict mode: allow database access only to users with both the CREATE SESSION and RESTRICTED SESSION privileges (normally, the DBA).

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getMode()` Implementation detail (for internal use only).
`static OracleConnection.DatabaseStartupMode` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OracleConnection.DatabaseStartupMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NO_RESTRICTION

    public static final OracleConnection.DatabaseStartupMode NO_RESTRICTION

Startup the database with no restriction. This is the default.

#### FORCE

    public static final OracleConnection.DatabaseStartupMode FORCE

Attempt to shutdown the database in the abort mode before starting a new instance. This mode should be used only in unusual circumstances.

#### RESTRICT

    public static final OracleConnection.DatabaseStartupMode RESTRICT

Startup the database in the restrict mode: allow database access only to users with both the CREATE SESSION and RESTRICTED SESSION privileges (normally, the DBA).

### Method Detail

#### values

    public static OracleConnection.DatabaseStartupMode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (OracleConnection.DatabaseStartupMode c : OracleConnection.DatabaseStartupMode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static OracleConnection.DatabaseStartupMode valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getMode

    public final int getMode()

Implementation detail (for internal use only).

Copyright © 2008, 2020, Oracle and/or its affiliates. All rights reserved.